package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProBasicEquipment;

import java.util.List;

/**
 * <p>
 * 风机&光伏 服务类
 * </p>
 *
 * @author wang
 * @since 2022-11-22
 */
public interface IProBasicEquipmentService extends IService<ProBasicEquipment> {

    /**
     * 多场站 多期次线路获取设备列表
     *
     * @param companyIds
     * @param windpowerstationIds
     * @param projectIds
     * @param lineIds
     * @return
     */
    List<ProBasicEquipment> getProBasicEquipmentList(String companyIds, String windpowerstationIds, String projectIds, String lineIds, String type);


    List<ProBasicEquipment> getProBasicEquipmentList(String wpid);


}
